### Function

# Gtk accelerator_name_with_keycode

#### Declaration [src]

    char*
    gtk_accelerator_name_with_keycode (
      GdkDisplay* display,
      guint accelerator_key,
      guint keycode,
      GdkModifierType accelerator_mods
    )

#### Description [src]

Converts an accelerator keyval and modifier mask into a string parseable by gtk_accelerator_parse_with_keycode().

This is similar to gtk_accelerator_name() but handling keycodes. This is only useful for system-level components, applications should use gtk_accelerator_name() instead.

#### Parameters

`display` | `GdkDisplay*`
| A `GdkDisplay` or `NULL` to use the default display.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`accelerator_key` | `guint`
| Accelerator keyval.
`keycode` | `guint`
| Accelerator keycode.
`accelerator_mods` | `GdkModifierType`
| Accelerator modifier mask.

#### Return value

Returns: | `char*`
| A newly allocated accelerator name.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The string is a NUL terminated UTF-8 string.